### Virtual Method

# PapersDocument Selection render_selection

#### Declaration [src]

    void
    render_selection (
      PpsSelection* selection,
      PpsRenderContext* rc,
      cairo_surface_t** surface,
      PpsRectangle* points,
      PpsRectangle* old_points,
      PpsSelectionStyle style,
      GdkRGBA* text,
      GdkRGBA* base
    )

#### Description

No description available.

#### Parameters

`rc`

  Type: `PpsRenderContext`

  A `PpsRenderContext`.

  The data is owned by the caller of the method.

`surface`

  Type: `cairo_surface_t`

  A surface, created if it is NULL, otherwise reused.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`points`

  Type: `PpsRectangle`

  Current selection points.

  The data is owned by the caller of the method.

`old_points`

  Type: `PpsRectangle`

  Old selection points.

  The data is owned by the caller of the method.

`style`

  Type: `PpsSelectionStyle`

  A `PpsSelectionStyle`.

`text`

  Type: `GdkRGBA`

  Foreground text color.

  The data is owned by the caller of the method.

`base`

  Type: `GdkRGBA`

  Base color.

  The data is owned by the caller of the method.